Skip to main content
GET
/
v1
/
community
/
quests
/
{questId}
cURL
curl --request GET \
  --url https://api.flipsuite.xyz/v1/community/quests/{questId} \
  --header 'x-api-key: <x-api-key>'
{
  "id": "8c1f030b-f9e8-42db-b243-3e97d9a36a54",
  "communityId": "90895e48-0db7-4e99-b63a-b4401753da62",
  "name": "Raffle Quest",
  "shortDescription": "Quest intro",
  "fullDescription": "Extra quest description and instructions",
  "createdAt": 1771525648879,
  "startTime": 1771525648879,
  "endTime": 1771784848879,
  "status": "ACTIVE",
  "recurrence": "ONCE",
  "recurrenceInterval": 259200000,
  "visibility": "PUBLIC",
  "iteration": 1,
  "iterationCompletions": [
    23
  ],
  "totalCompletionCount": 23,
  "tasks": [
    {
      "id": "984292af-b044-4ce0-a8a5-742db0769ea1",
      "type": "TWITTER_POST_INTERACTION",
      "postUrl": "https://x.com/flipsuitexyz/status/2021683679102206339",
      "isLikeRequired": true,
      "isRepostRequired": true,
      "isCommentRequired": true
    }
  ],
  "rewards": [
    {
      "id": "50496905-af8f-43e3-b65c-c8206b06aa57",
      "type": "FIXED",
      "strategy": {
        "type": "RAFFLE",
        "maxWinners": 5
      },
      "item": {
        "type": "TOKEN",
        "chain": "Base",
        "tokenAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "amount": 1
      }
    }
  ]
}

Headers

x-api-key
string<uuid>
required

Your community API key

Path Parameters

questId
string<uuid>
required

ID of a quest to query

Response

200 - application/json

Quest has been retrieved

id
string
required

Unique quest ID.

status
enum<string>
required

Quest status.

Available options:
DRAFT,
TEMPLATE,
ACTIVE,
PAUSED,
REVIEW,
ENDED,
ARCHIVED
name
string
required
Maximum string length: 48
shortDescription
string
required
Maximum string length: 256
fullDescription
string
required
Maximum string length: 4096
createdAt
number
required

Quest creation UNIX timestamp.

recurrence
enum<string>
required

Quest recurrence type.

Available options:
ONCE,
DAILY,
WEEKLY,
MONTHLY,
CUSTOM
visibility
enum<string>
required

Quest visibility type.

Available options:
PRIVATE,
PUBLIC,
SHARED
iteration
integer
required
Required range: 1 <= x <= 9007199254740991
iterationCompletions
number[]
required

Quest completions per iteration.

totalCompletionCount
number
required

Total quest completions count.

tasks
(API · object | Discord Account Age · object | Discord Server Roles · object | Discord Users · object | File Upload · object | NFT Balance · object | Numeric Input · object | Poll · object | Swap · object | Text Input · object | Tip · object | Token Balance · object | X Account Age · object | Follow X Account · object | X Account Followers · object | Subscribe X Account · object | Verified X Account · object | X Post Interaction · object | Create X Post · object | Wallet Input · object)[]
required
Maximum array length: 32
communityId
string
required

ID of the community this quest belongs to

rewards
(Fixed · object | Random · object | Shared · object)[]
required
Maximum array length: 4
creatorId
string | null

ID of the user who created this quest.

bannerUrl
string<uri> | null

Link to a banner image for the quest.

startTime
number | null

Quest start time UNIX timestamp.

endTime
number | null

Quest end time UNIX timestamp.

recurrenceInterval
number | null
Required range: 3600000 <= x <= 31536000000
nextIterationAt
number | null

Next quest round start time UNIX timestamp.

maxIterations
integer | null
Required range: 1 <= x <= 9007199254740991
maxIterationCompletions
integer | null
Required range: 1 <= x <= 9007199254740991
maxTotalCompletions
integer | null
Required range: 1 <= x <= 9007199254740991